package com.jiuqi.script;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jiuqi.script.Script;
import com.jiuqi.script.ScriptException;
import com.jiuqi.script.ScriptFactory;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ScriptManager {
  private static List factoryList = new ArrayList();
  
  private static Map factoryMap = new HashMap<Object, Object>();
  
  public static Script getScript(String name) throws ScriptException {
    ScriptFactory factory = (ScriptFactory)factoryMap.get(name);
    if (factory == null)
      throw new ScriptException("未注册名为" + name + "的脚本引擎"); 
    return factory.createScript();
  }
  
  public static void registerScriptFactory(ScriptFactory scriptFactory) {
    factoryList.add(scriptFactory);
    String[] names = scriptFactory.getNames();
    for (int i = 0; i < names.length; i++)
      factoryMap.put(names[i], scriptFactory); 
  }
  
  public static ScriptFactory[] getScriptFactories() {
    return (ScriptFactory[])factoryList.toArray((Object[])new ScriptFactory[0]);
  }
  
  static {
    try {
      Class.forName("com.jiuqi.script.rhino.RhinoScript");
    } catch (ClassNotFoundException classNotFoundException) {}
  }
}
